%global fontname wqy-zenhei
%global fontconf2 65-wqy-zenhei-sharp.conf
Name:		wqy-zenhei-fonts
Version:	0.9.46
Release:	22
Summary:	A Hei-Ti Style (sans-serif) Chinese font
License:        GPLv2 with exceptions	
URL:		https://packages.debian.org/sid/fonts-wqy-zenhei
Source0:	https://downloads.sourceforge.net/wqy/wqy-zenhei-%{version}-May.tar.bz2
Source2:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem

Provides:       wqy-zenhei-fonts-common = %{version}-%{release}
Obsoletes:      wqy-zenhei-fonts-common

%description
WenQuanYi Zen Hei is a Hei-Ti style (sans-serif type) Chinese font. 
It was designed for general purpose text formatting and on-screen 
display of Chinese characters among many other languages. The 
embolden strokes of the font glyphs produces enhanced screen 
contrast, making it easier to read and recognize. The embedded 
bitmap glyphs further enhance on-screen performance, and can be 
enabled with the provided configuration files.

WenQuanYi Zen Hei provides a fairly complete coverage of Chinese 
Hanzi glyphs, including both simplified and traditional forms. The 
total glyph number in this font is over 35,000, including over 
21,000 Chinese Hanzi. This font provides full coverage of GBK (CP936) 
charset, CJK Unified Ideographs, as well as the code-points needed 
for zh_CN, zh_SG, zh_TW, zh_HK, zh_MO, ja (Japanese) and ko (Korean) 
locales for fontconfig.

Starting from version 0.8, this font package provides two font 
families, i.e. the proportional "WenQuanYi Zen Hei", and the 
monospaced typeface named "WenQuanYi Zen Hei Mono".

%prep
%autosetup -n wqy-zenhei -p1

iconv -f GB18030 -t UTF-8 -o AUTHORS.utf8 AUTHORS
touch -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

iconv -f ISO-8859-1 -t UTF-8 -o README.utf8 README
touch -r README README.utf8
mv README.utf8 README

%build
%{nil}

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttc %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/%{fontconf2}

ln -s %{_fontconfig_templatedir}/%{fontconf2} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf2}

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%license COPYING
%{_fontconfig_confdir}/*.conf
%{_fontconfig_templatedir}/*.conf
%{_fontdir}/wqy-zenhei.ttc

%changelog
* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 0.9.46-22
- Rebuild for next release

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.46-21
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.46-20
- Package init
